Subject: Re: 23.0.60; left/right-margin property is not honored on word-wrapped lines

From: Chong Yidong <[email-masked]>
Date: Sat, 20 Sep 2008 23:11:18 -0400

"Lennart Borgman (gmail)" <[email-masked]> writes:

> We are talking about the visual representation. Are you saying that the
> user will be fooled by the "faked" whitespace?
>
> I do not think that will be the case here. Or, not more than the "faked"
> new lines.

Plenty of computer programs "fake" whitespace at the end of the line,
but none fake it at the beginning.  Users will be fooled for this
reason.

> I just think that a visual representation where the continuation lines
> are (visually aka faked) indented as the first line is a more useful
> visual representation. We have already made that conclusion in fill
> paragraph.
>
> Typical use cases I can see is for example in org-mode or when editing
> text parts of XHTML files.

This can be left to the discretion of individual major modes, by setting
wrap-prefix or some other method.  I don't think it's desireable to do
it in general, and left-margin/right-margin is almost certainly the
wrong variable for this.